# $Revision: 1.7 $, $Date: 2004/12/25 18:00:01 $

%define 	zope_subname	epoz
Summary:	epoz allows you to edit Zope or Plone-objects with a WYSIWYG-editor
Summary(pl):	Dodatek do Zope lub Plone umoliwiajcy manipulacje na obiektach w trybie WYSIWYG
Name:		Zope-%{zope_subname}
Version:	1.0.2
Release:	2
License:	ZPL 2.0
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/%{zope_subname}/%{zope_subname}-%{version}.tgz
# Source0-md5:	4d941438805dd849d4a3256c52ba65a4
URL:		http://sourceforge.net/projects/epoz/
%pyrequires_eq	python-modules
Requires:	Zope
Requires(post,postun):	/usr/sbin/installzopeproduct
Obsoletes:	Zope-Epoz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
epoz allows you to edit Zope or Plone-objects with a WYSIWYG-editor.

%description -l pl
Dodatek do Zope lub Plone umoliwiajcy manipulacje na obiektach w
trybie WYSIWYG.

%prep
%setup -q -c

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -af %{zope_subname}-%{version}/* $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc %{zope_subname}-%{version}/doc/*
%{_datadir}/%{name}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-epoz.spec,v $
Revision 1.7  2004/12/25 18:00:01  saq
- release 2 for rebuild with python 2.4

Revision 1.6  2004/08/31 13:32:59  ankry
- s/wysiwyg/WYSIWYG/

Revision 1.5  2004/07/28 08:03:21  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.4  2004/03/05 12:16:03  ciesiel
- upgraded to version 1.0.2

Revision 1.3  2003/12/12 19:44:25  ciesiel
- upgraded to 1.0.1 version
- removed TODO; done (at last) :)

Revision 1.2  2003/11/24 20:47:59  ankry
- cosmetics

Revision 1.1  2003/11/24 19:58:06  ciesiel
- renamed packages...
- warning: this stable version is unstable on Zope 2.7.0b3 :)

Revision 1.1  2003/11/24 18:14:36  ciesiel
- initial release
